{{/* vim: set filetype=mustache: */}}
{{/*
Expand the name of the chart.
*/}}
{{- define "wazuh.name" }}
{{- default .Chart.Name .Values.nameOverride | trunc 63 | trimSuffix "-" }}
{{- end }}

# {{/*
# Create a default fully qualified app name.
# We truncate at 63 chars because some Kubernetes name fields are limited to this
# (by the DNS naming spec).
# */}}
# {{- define "s3manager.fullname" }}
# {{- $name := default .Chart.Name .Values.nameOverride }}
# {{- printf "%s-%s" .Release.Name $name | trunc 63 | trimSuffix "-" }}
# {{- end }}

# {{/*
# Calculate s3manager certificate
# */}}
# {{- define "s3manager.s3manager-certificate" }}
# {{- if (not (empty .Values.ingress.certificate)) }}
# {{- printf .Values.ingress.certificate }}
# {{- else }}
# {{- printf "%s-release-letsencrypt" .Release.Name }}
# {{- end }}
# {{- end }}

# {{/*
# Calculate s3manager hostname
# */}}
# {{- define "s3manager.s3manager-hostname" }}
# {{- if (and .Values.config.s3manager.hostname (not (empty .Values.config.s3manager.hostname))) }}
# {{- printf .Values.config.s3manager.hostname }}
# {{- else }}
# {{- if .Values.ingress.enabled }}
# {{- printf .Values.ingress.hostname }}
# {{- else }}
# {{- printf "%s-release.%s.svc.cluster.local" .Release.Name .Release.Namespace }}
# {{- end }}
# {{- end }}
# {{- end }}
